import { QueryFunction, QueryOptions, UseInfiniteQueryOptions, UseQueryOptions } from "@tanstack/react-query";
export declare type QueryType = "query" | "infiniteQuery";
export declare type TQueryFunction<TQueryFnArgs extends unknown[], TQueryFnReturn> = (...args: TQueryFnArgs) => QueryFunction<TQueryFnReturn>;
export declare type QueryDefaultOption<TQueryFnData = unknown, TData = TQueryFnData, TError = unknown> = Omit<QueryOptions<TQueryFnData, TError, TData>, "queryKey" | "queryFn">;
export declare type UseQueryDefaultOption<TQueryFnData = unknown, TData = TQueryFnData, TError = unknown> = Omit<UseQueryOptions<TQueryFnData, TError, TData>, "queryKey" | "queryFn">;
export declare type UseInfiniteQueryDefaultOption<TQueryFnData = unknown, TData = TQueryFnData, TError = unknown> = Omit<UseInfiniteQueryOptions<TQueryFnData, TError, TData>, "queryKey" | "queryFn">;
